%define version	2.4.9
%define prerel	0
%define rel	1

%if %prerel
%define srcname %{name}-%{version}%prerel
%define release %mkrel -c %prerel %rel
%else
%define srcname %{name}-%{version}
%define release %mkrel %rel
%endif

Name:		qbittorrent
Version:	%{version}
Release:	%{release}
Summary:	A lightweight but featureful BitTorrent client
Group:		Networking/File transfer
License:	GPLv2+
Url:		http://qbittorrent.sourceforge.net/
%if %prerel
Source0:	http://downloads.sourceforge.net/project/qbittorrent/qbittorrent-unstable/%{name}-%{version}/%{name}-%{version}%{prerel}.tar.gz
%else
Source0:	http://downloads.sourceforge.net/project/qbittorrent/qbittorrent/qbittorrent-%{version}/qbittorrent-%{version}.tar.gz
%endif
# (ahmad) qbittorrent-2.2.0beta1 patch to disable extra debug
Patch0:		qbittorrent-2.2.0beta1-disable-extra-debug.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	qt4-devel >= 4.4
BuildRequires:	boost-devel
BuildRequires:	libtorrent-rasterbar-devel >= 0.14.4
BuildRequires:	libnotify-devel >= 0.4.2
Requires:	python
Requires:	geoip

%description
A lightweight but feature-full BitTorrent client that aims to be very easy 
to use. It is multi-platform and provides a Qt4 graphical interface.

%package -n %{name}-nox
Summary:	A Headless Bittorrent Client
Group:		Networking/File transfer

%description -n %{name}-nox
A Headless Bittorrent Client with a feature rich Web UI allowing users to
control the clinet remotely.

%prep
%setup -q -n %{srcname}

# (ahmad) patch0 is only enabled when building some prerels, to disable extra debug
#%patch0 -p1 -b .debug


%build
%setup_compile_flags
# headless aka nox
mkdir build-nox
cd build-nox
../configure	--prefix=%{_prefix} \
		--qtdir=%{qt4dir} \
		--disable-gui \
		--disable-libnotify \
		--disable-geoip-database
cp conf.pri ..
%make
mv -f ../conf.pri ../conf.pri.nox

# GUI
cd ..
mkdir build-gui
cd build-gui
../configure	--prefix=%{_prefix} \
		--qtdir=%{qt4dir}
cp conf.pri ..
%make
mv -f ../conf.pri ../conf.pri.gui


%install
rm -rf %{buildroot}
# install headless part
mv -f conf.pri.nox conf.pri
cd build-nox
make INSTALL_ROOT=%{buildroot} install

# install gui
cd ..
mv -f conf.pri.gui conf.pri
cd build-gui
make INSTALL_ROOT=%{buildroot} install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS Changelog COPYING NEWS README TODO
%{_bindir}/%{name}
%{_datadir}/applications/qBittorrent.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man1/%{name}.1*

%files -n  %{name}-nox
%defattr(-,root,root,-)
%{_bindir}/%{name}-nox
%{_mandir}/man1/%{name}-nox.1*


%changelog
* Sun Oct 31 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.4.9-1mdv2011.0
+ Revision: 591214
- update to 2.4.9
- drop merged patch

* Tue Oct 26 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.4.8-2mdv2011.0
+ Revision: 589510
- add upstream patch to fix a crash when pressing Enter in the in the save path
  field of the torrent addition dialogue

* Sun Oct 24 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.4.8-1mdv2011.0
+ Revision: 588287
- update to 2.4.8

* Wed Oct 20 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.4.7-1mdv2011.0
+ Revision: 586908
- update to 2.4.7

* Sun Oct 17 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.4.6-1mdv2011.0
+ Revision: 586378
- update to 2.4.6

* Tue Oct 12 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.4.5-1mdv2011.0
+ Revision: 585197
- update to 2.4.5

* Sat Oct 02 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.4.4-1mdv2011.0
+ Revision: 582427
- update to 2.4.4

* Tue Sep 28 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.4.3-1mdv2011.0
+ Revision: 581850
- update to 2.4.3

* Sun Sep 26 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.4.2-1mdv2011.0
+ Revision: 581119
- update to 2.4.2

* Sun Sep 26 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.4.1-1mdv2011.0
+ Revision: 581051
- update to 2.4.1

* Wed Aug 25 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.4.0-1mdv2011.0
+ Revision: 573328
- update to 2.4.0 final

* Fri Aug 20 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.4.0-0.rc1.1mdv2011.0
+ Revision: 571485
- change spec to make it easier to package pre-releases (thanks to the meticulous
  transmission.spec)
- update to 2.4.0rc1

* Tue Aug 17 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.3.1-1mdv2011.0
+ Revision: 570997
- update to 2.3.1

* Wed Aug 04 2010 Funda Wang <fwang@mandriva.org> 2.3.0-2mdv2011.0
+ Revision: 566031
- rebuild for new boost

* Tue Jul 27 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.3.0-1mdv2011.0
+ Revision: 562091
- update to 2.3.0 final

* Sat Jul 24 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.3.0-0.rc10.1mdv2011.0
+ Revision: 558200
- 2.3.0rc10
- update to 2.3.0rc9

* Wed Jul 21 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.3.0-0.rc7.1mdv2011.0
+ Revision: 556352
- update to 2.3.0rc7

* Mon Jul 19 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.3.0-0.rc5.1mdv2011.0
+ Revision: 555018
- update to 2.3.0rc5
- update to 2.3.0rc4
- update to 2.3.0rc2

* Wed Jun 23 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.2.10-1mdv2010.1
+ Revision: 548726
- new bug fix release, 2.2.10
- drop patch1, merged upstream

* Thu Jun 17 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.2.9-2mdv2010.1
+ Revision: 548245
- add patch from upstream to fix web ui

* Sun Jun 13 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.2.9-1mdv2010.1
+ Revision: 547954
- new upstream bug fix release 2.2.9
- drop patch1, merged upstream
- use the actual source url
- fix typo in description

* Fri Apr 23 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.2.6-2mdv2010.1
+ Revision: 538373
- add upstream patch to fix a unicode bug when moving torrents

* Tue Apr 20 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.2.6-1mdv2010.1
+ Revision: 537236
- new version 2.2.6

* Wed Apr 07 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.2.5-1mdv2010.1
+ Revision: 532716
- new upstream release 2.2.5
- drop patch1, merged upstream
- bump release

* Tue Apr 06 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.2.4-2mdv2010.1
+ Revision: 532251
- add upstream patch to fix crash when adding labels

* Tue Apr 06 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.2.4-1mdv2010.1
+ Revision: 532047
- new upstream release 2.2.4

* Mon Apr 05 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.2.3-1mdv2010.1
+ Revision: 531513
- new upstream release 2.2.3
- drop patch1, merged upstream

* Tue Mar 23 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.2.2-2mdv2010.1
+ Revision: 526969
- add upstream patch to fix crash when deleting a torrent just after pausing it

* Mon Mar 22 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.2.2-1mdv2010.1
+ Revision: 526684
- new upstream release 2.2.2
- drop patch1, merged upstream

* Sun Mar 21 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.2.1-2mdv2010.1
+ Revision: 526018
- add upstream patch for more robust fast-resume

* Sat Mar 20 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.2.1-1mdv2010.1
+ Revision: 525481
- new upstream release 2.2.1

* Mon Mar 15 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.2.0-1mdv2010.1
+ Revision: 519114
- 2.2.0 final

* Tue Mar 09 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.2.0-0.rc2.1mdv2010.1
+ Revision: 516805
- new upstream release 2.2.0 rc2

* Sun Mar 07 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.2.0-0.rc1.1mdv2010.1
+ Revision: 515319
- new upstream release 2.2.0 rc1

* Thu Feb 11 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.2.0-0.beta4.1mdv2010.1
+ Revision: 504168
- 2.2.0 beta4

* Tue Feb 09 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.2.0-0.beta3.1mdv2010.1
+ Revision: 503161
- update to 2.2.0beta3

* Mon Feb 08 2010 Anssi Hannula <anssi@mandriva.org> 2.2.0-0.beta2.2mdv2010.1
+ Revision: 501882
- rebuild for new boost

  + Ahmad Samir <ahmadsamir@mandriva.org>
    - clean spec

* Thu Feb 04 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.2.0-0.beta2.1mdv2010.1
+ Revision: 500657
- Update to 2.2.0beta2
- Drop patch0

* Thu Feb 04 2010 Funda Wang <fwang@mandriva.org> 2.2.0-0.beta1.3mdv2010.1
+ Revision: 500582
- rebuild

* Wed Feb 03 2010 Funda Wang <fwang@mandriva.org> 2.2.0-0.beta1.2mdv2010.1
+ Revision: 500307
- rebuild for new boost

* Sat Jan 30 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.2.0-0.beta1.1mdv2010.1
+ Revision: 498420
- Update to 2.2.0beta1
- Add upstream patch to fix alternative upload speed limit overwriting standard
   upload speed limit
- Add patch to disable extra debug (from Fedora)

* Sun Jan 24 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.1.2-1mdv2010.1
+ Revision: 495605
- new upstream release 2.1.2
- drop patch merged upstream

* Thu Jan 21 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.1.1-3mdv2010.1
+ Revision: 494764
- add upstream patch to fix folder renaming

* Thu Jan 21 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.1.1-2mdv2010.1
+ Revision: 494423
- use better build method to get proper debug info (from Fedora)
- clean spec

* Wed Jan 20 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.1.1-1mdv2010.1
+ Revision: 494265
- bug fix release 2.1.1

* Mon Jan 18 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.1.0-2mdv2010.1
+ Revision: 493293
- it can work with libtorrent-rasterbar-devel >= 0.14.4 too

* Mon Jan 18 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.1.0-1mdv2010.1
+ Revision: 493245
- 2.1.0 final release

* Sun Jan 17 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.1.0-0.rc7.2mdv2010.1
+ Revision: 492535
- build qbittorrent-nox, a headless client

* Fri Jan 15 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.1.0-0.rc7.1mdv2010.1
+ Revision: 491590
- new release 2.1.0rc7

* Wed Jan 13 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.1.0-0.rc6.1mdv2010.1
+ Revision: 490476
- update to 2.1.0-rc6

* Mon Jan 11 2010 Jérôme Brenier <incubusss@mandriva.org> 2.1.0-0.rc5.1mdv2010.1
+ Revision: 489792
- new version 2.1.0rc5

* Sat Jan 09 2010 Jérôme Brenier <incubusss@mandriva.org> 2.1.0-0.rc4.1mdv2010.1
+ Revision: 488211
- new upstream release 2.1.0rc4
- update minimal version of libtorrent-rasterbar-devel BR

* Sun Jan 03 2010 Jérôme Brenier <incubusss@mandriva.org> 2.0.5-1mdv2010.1
+ Revision: 485776
- import qbittorrent


